%global namedreltag .Final
%global namedversion %{version}%{?namedreltag}

%global cachedir %{_var}/cache/%{name}
%global libdir   %{_var}/lib/%{name}
%global homedir  %{_datadir}/%{name}
%global bindir   %{homedir}/bin
%global logdir   %{_var}/log/%{name}
%global confdir  %{_sysconfdir}/%{name}

%global wfuid 185

# Enabled modules:
%global modules appclient cmp configadmin connector ee ejb3 jacorb jaxr jaxrs jdr jsf jsf-injection jpa jsr77 mail messaging naming pojo sar security security-api system-jmx transactions web web-common webservices weld xts

# New modules added in WildFly
%global wildflymodules iiop-openjdk jberet

%if 0
# Unavailable deps
%bcond_with azure
%endif

Name:          wildfly
Version:       10.1.0
Release:       %mkrel 7
Group:         Development/Java
Summary:       WildFly Application Server
License:       LGPLv2+ and ASL 2.0 and GPLv2 with exceptions
URL:           http://wildfly.org/
# sh wildfly-create-tarball.sh < NAMEDVERSION >
Source0:       %{name}-%{namedversion}-clean.tar.xz

# Makes possible to run WildFly AS in different directory by creating the structure and copying required configuration files
Source1:       wildfly-cp.sh

Source10:      wildfly-create-tarball.sh
Source11:      wildfly.tmpfiles

Patch0:        wildfly-10.1.0-Remove-still-unavailable-in-Fedora-dependencies.patch
Patch1:        wildfly-10.1.0-Use-activation-classes-provided-by-the-JDK.patch
Patch2:        wildfly-10.1.0-Use-jws-classes-provided-by-the-JDK.patch
Patch3:        wildfly-10.1.0-Disable-jipijapa-support-for-Hibernate-4.1-since.patch
Patch4:        wildfly-10.1.0-Missing-module-dependencies-in-mime4j-com.sun.xml.bind-after-unbundling.patch

Patch5:        wildfly-10.1.0-Remove-artemis-native-extraction-we-are-linking-it-in-the-spec-file-instead.patch

Patch6:        wildfly-10.1.0-Remove-unavailable-azure-support.patch

BuildArch:     noarch

# Please keep alphabetically
BuildRequires: maven-local
BuildRequires: mvn(antlr:antlr)
BuildRequires: mvn(asm:asm)
BuildRequires: mvn(ch.qos.cal10n:cal10n-api) >= 0.8.1
BuildRequires: mvn(com.fasterxml:classmate) >= 1.3.1
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-annotations) >= 2.7.4
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-core) >= 2.7.4
BuildRequires: mvn(com.fasterxml.jackson.core:jackson-databind) >= 2.7.4
BuildRequires: mvn(com.fasterxml.jackson.datatype:jackson-datatype-jdk8) >= 2.7.4
BuildRequires: mvn(com.fasterxml.jackson.datatype:jackson-datatype-jsr310) >= 2.7.4
BuildRequires: mvn(com.fasterxml.jackson.jaxrs:jackson-jaxrs-base) >= 2.7.4
BuildRequires: mvn(com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider)
BuildRequires: mvn(com.fasterxml.jackson.module:jackson-module-jaxb-annotations) >= 2.7.4
BuildRequires: mvn(com.github.relaxng:relaxngDatatype)
BuildRequires: mvn(com.github.spullara.mustache.java:compiler)
BuildRequires: mvn(com.google.guava:guava)
BuildRequires: mvn(com.h2database:h2)
BuildRequires: mvn(com.io7m.xom:xom)
%if %{with azure}
BuildRequires: mvn(com.microsoft.azure:azure-storage)
%endif
BuildRequires: mvn(com.sun.faces:jsf-api) >= 2.1.25
BuildRequires: mvn(com.sun.faces:jsf-impl)
BuildRequires: mvn(com.sun.xml.fastinfoset:FastInfoset)
BuildRequires: mvn(com.sun.istack:istack-commons-runtime)
BuildRequires: mvn(com.sun.istack:istack-commons-tools)
BuildRequires: mvn(com.sun.mail:javax.mail)
BuildRequires: mvn(com.sun.xml.bind.external:rngom)
BuildRequires: mvn(com.sun.xml.messaging.saaj:saaj-impl)
BuildRequires: mvn(com.sun.xsom:xsom)
BuildRequires: mvn(commons-beanutils:commons-beanutils)
BuildRequires: mvn(commons-cli:commons-cli)
BuildRequires: mvn(commons-codec:commons-codec)
BuildRequires: mvn(commons-collections:commons-collections)
BuildRequires: mvn(commons-digester:commons-digester)
BuildRequires: mvn(commons-io:commons-io)
BuildRequires: mvn(commons-lang:commons-lang)
BuildRequires: mvn(commons-pool:commons-pool)
BuildRequires: mvn(dom4j:dom4j)
BuildRequires: mvn(gnu.getopt:java-getopt)
BuildRequires: mvn(io.netty:netty-all)
BuildRequires: mvn(io.undertow:undertow-core) >= 1.4.0
BuildRequires: mvn(io.undertow:undertow-servlet)
BuildRequires: mvn(io.undertow:undertow-websockets-jsr)
BuildRequires: mvn(io.undertow.jastow:jastow)
BuildRequires: mvn(io.undertow.js:undertow-js)
BuildRequires: mvn(javax.enterprise:cdi-api)
BuildRequires: mvn(javax.validation:validation-api)
BuildRequires: mvn(jaxen:jaxen)
BuildRequires: mvn(jboss.jaxbintros:jboss-jaxb-intros)
BuildRequires: mvn(joda-time:joda-time)
BuildRequires: mvn(net.jcip:jcip-annotations)
BuildRequires: mvn(net.shibboleth.utilities:java-support)
BuildRequires: mvn(org.apache.activemq:artemis-amqp-protocol)
BuildRequires: mvn(org.apache.activemq:artemis-cli)
BuildRequires: mvn(org.apache.activemq:artemis-commons)
BuildRequires: mvn(org.apache.activemq:artemis-core-client)
BuildRequires: mvn(org.apache.activemq:artemis-dto)
BuildRequires: mvn(org.apache.activemq:artemis-hornetq-protocol)
BuildRequires: mvn(org.apache.activemq:artemis-hqclient-protocol)
BuildRequires: mvn(org.apache.activemq:artemis-jms-client)
BuildRequires: mvn(org.apache.activemq:artemis-jms-server)
BuildRequires: mvn(org.apache.activemq:artemis-journal)
BuildRequires: mvn(org.apache.activemq:artemis-native)
BuildRequires: mvn(org.apache.activemq:artemis-proton-plug)
BuildRequires: mvn(org.apache.activemq:artemis-ra)
BuildRequires: mvn(org.apache.activemq:artemis-selector)
BuildRequires: mvn(org.apache.activemq:artemis-server)
BuildRequires: mvn(org.apache.activemq:artemis-service-extensions)
BuildRequires: mvn(org.apache.activemq:artemis-stomp-protocol)
BuildRequires: mvn(org.apache.avro:avro)
BuildRequires: mvn(org.apache.cxf:cxf-core) >= 3.1.6
BuildRequires: mvn(org.apache.cxf:cxf-rt-bindings-coloc)
BuildRequires: mvn(org.apache.cxf:cxf-rt-bindings-object)
BuildRequires: mvn(org.apache.cxf:cxf-rt-bindings-soap)
BuildRequires: mvn(org.apache.cxf:cxf-rt-bindings-xml)
BuildRequires: mvn(org.apache.cxf:cxf-rt-databinding-aegis)
BuildRequires: mvn(org.apache.cxf:cxf-rt-databinding-jaxb)
BuildRequires: mvn(org.apache.cxf:cxf-rt-frontend-jaxws)
BuildRequires: mvn(org.apache.cxf:cxf-rt-frontend-simple)
BuildRequires: mvn(org.apache.cxf:cxf-rt-management)
BuildRequires: mvn(org.apache.cxf:cxf-rt-security)
BuildRequires: mvn(org.apache.cxf:cxf-rt-security-saml)
BuildRequires: mvn(org.apache.cxf:cxf-rt-transports-http)
BuildRequires: mvn(org.apache.cxf:cxf-rt-transports-http-hc)
BuildRequires: mvn(org.apache.cxf:cxf-rt-transports-jms)
BuildRequires: mvn(org.apache.cxf:cxf-rt-transports-local)
BuildRequires: mvn(org.apache.cxf:cxf-rt-ws-addr)
BuildRequires: mvn(org.apache.cxf:cxf-rt-ws-mex)
BuildRequires: mvn(org.apache.cxf:cxf-rt-ws-policy)
BuildRequires: mvn(org.apache.cxf:cxf-rt-ws-rm)
BuildRequires: mvn(org.apache.cxf:cxf-rt-ws-security)
BuildRequires: mvn(org.apache.cxf:cxf-rt-wsdl)
BuildRequires: mvn(org.apache.cxf:cxf-tools-common)
BuildRequires: mvn(org.apache.cxf:cxf-tools-java2ws)
BuildRequires: mvn(org.apache.cxf:cxf-tools-validator)
BuildRequires: mvn(org.apache.cxf:cxf-tools-wsdlto-core)
BuildRequires: mvn(org.apache.cxf:cxf-tools-wsdlto-databinding-jaxb)
BuildRequires: mvn(org.apache.cxf:cxf-tools-wsdlto-frontend-jaxws)
BuildRequires: mvn(org.apache.cxf.services.sts:cxf-services-sts-core)
BuildRequires: mvn(org.apache.cxf.services.ws-discovery:cxf-services-ws-discovery-api)
BuildRequires: mvn(org.apache.cxf.xjc-utils:cxf-xjc-runtime)
BuildRequires: mvn(org.apache.cxf.xjcplugins:cxf-xjc-boolean) >= 3.0.5
BuildRequires: mvn(org.apache.cxf.xjcplugins:cxf-xjc-bug986)
BuildRequires: mvn(org.apache.cxf.xjcplugins:cxf-xjc-dv)
BuildRequires: mvn(org.apache.cxf.xjcplugins:cxf-xjc-ts)
BuildRequires: mvn(org.apache.httpcomponents:httpasyncclient)
BuildRequires: mvn(org.apache.httpcomponents:httpclient)
BuildRequires: mvn(org.apache.httpcomponents:httpcore)
BuildRequires: mvn(org.apache.httpcomponents:httpcore-nio)
BuildRequires: mvn(org.apache.httpcomponents:httpmime)
BuildRequires: mvn(org.apache.james:apache-mime4j-core)
BuildRequires: mvn(org.apache.lucene:lucene-backward-codecs)
BuildRequires: mvn(org.apache.lucene:lucene-facet)
BuildRequires: mvn(org.apache.lucene:lucene-misc)
BuildRequires: mvn(org.apache.lucene:lucene-queries)
BuildRequires: mvn(org.apache.lucene:lucene-queryparser)
BuildRequires: mvn(org.apache.maven.plugins:maven-assembly-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-dependency-plugin)
BuildRequires: mvn(org.apache.maven.plugins:maven-shade-plugin)
BuildRequires: mvn(org.apache.neethi:neethi)
BuildRequires: mvn(org.apache.openjpa:openjpa-kernel)
BuildRequires: mvn(org.apache.openjpa:openjpa-lib)
BuildRequires: mvn(org.apache.openjpa:openjpa-persistence)
BuildRequires: mvn(org.apache.qpid:proton-j)
BuildRequires: mvn(org.apache.qpid:proton-jms)
BuildRequires: mvn(org.apache.santuario:xmlsec)
BuildRequires: mvn(org.apache.ws.xmlschema:xmlschema-core)
BuildRequires: mvn(org.apache.wss4j:wss4j-bindings)
BuildRequires: mvn(org.apache.wss4j:wss4j-policy)
BuildRequires: mvn(org.apache.wss4j:wss4j-ws-security-common)
BuildRequires: mvn(org.apache.wss4j:wss4j-ws-security-dom)
BuildRequires: mvn(org.apache.wss4j:wss4j-ws-security-policy-stax)
BuildRequires: mvn(org.apache.wss4j:wss4j-ws-security-stax)
BuildRequires: mvn(org.bouncycastle:bcmail-jdk15on)
BuildRequires: mvn(org.bouncycastle:bcpkix-jdk15on)
BuildRequires: mvn(org.bouncycastle:bcprov-jdk15on)
BuildRequires: mvn(org.codehaus.jackson:jackson-core-asl)
BuildRequires: mvn(org.codehaus.jackson:jackson-jaxrs)
BuildRequires: mvn(org.codehaus.jackson:jackson-mapper-asl)
BuildRequires: mvn(org.codehaus.jackson:jackson-xc)
BuildRequires: mvn(org.codehaus.jettison:jettison)
BuildRequires: mvn(org.cryptacular:cryptacular)
BuildRequires: mvn(org.eclipse.jdt.core.compiler:ecj)
BuildRequires: mvn(org.eclipse.persistence:eclipselink)
BuildRequires: mvn(org.glassfish:javax.el-impl)
BuildRequires: mvn(org.glassfish:javax.enterprise.concurrent)
BuildRequires: mvn(org.glassfish:javax.json)
BuildRequires: mvn(org.glassfish.jaxb:codemodel)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-core)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-runtime)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-jxc)
BuildRequires: mvn(org.glassfish.jaxb:jaxb-xjc)
BuildRequires: mvn(org.glassfish.jaxb:txw2)
BuildRequires: mvn(org.hibernate:hibernate-core:4)
BuildRequires: mvn(org.hibernate:hibernate-entitymanager:4)
BuildRequires: mvn(org.hibernate:hibernate-infinispan:4)
BuildRequires: mvn(org.hibernate:hibernate-core) >= 5.0.10
BuildRequires: mvn(org.hibernate:hibernate-entitymanager)
BuildRequires: mvn(org.hibernate:hibernate-envers)
BuildRequires: mvn(org.hibernate:hibernate-java8)
BuildRequires: mvn(org.hibernate:hibernate-infinispan)
BuildRequires: mvn(org.hibernate:hibernate-search-backend-jgroups) >= 5.5.4
BuildRequires: mvn(org.hibernate:hibernate-search-backend-jms)
BuildRequires: mvn(org.hibernate:hibernate-search-engine)
BuildRequires: mvn(org.hibernate:hibernate-search-orm)
BuildRequires: mvn(org.hibernate:hibernate-search-serialization-avro)
BuildRequires: mvn(org.hibernate:hibernate-validator)
BuildRequires: mvn(org.hibernate:hibernate-validator-cdi)
BuildRequires: mvn(org.hibernate.common:hibernate-commons-annotations)
BuildRequires: mvn(org.hibernate.javax.persistence:hibernate-jpa-2.1-api)
BuildRequires: mvn(org.hornetq:hornetq-commons) >= 2.4.7
BuildRequires: mvn(org.hornetq:hornetq-core-client)
BuildRequires: mvn(org.hornetq:hornetq-jms-client)
BuildRequires: mvn(org.hornetq:hornetq-journal)
BuildRequires: mvn(org.hornetq:hornetq-native)
BuildRequires: mvn(org.infinispan:infinispan-cachestore-jdbc) >= 8.2.4
BuildRequires: mvn(org.infinispan:infinispan-cachestore-remote)
BuildRequires: mvn(org.infinispan:infinispan-commons)
BuildRequires: mvn(org.infinispan:infinispan-core)
BuildRequires: mvn(org.jasypt:jasypt)
BuildRequires: mvn(org.javassist:javassist)
BuildRequires: mvn(org.jberet:jberet-core) >= 1.2.1
BuildRequires: mvn(org.jboss:jandex)
BuildRequires: mvn(org.jboss:jboss-ejb-client)
BuildRequires: mvn(org.jboss:jboss-iiop-client)
BuildRequires: mvn(org.jboss:jboss-remote-naming)
BuildRequires: mvn(org.jboss:jboss-parent:pom:)
BuildRequires: mvn(org.jboss:staxmapper)
BuildRequires: mvn(org.jboss:jboss-transaction-spi)
BuildRequires: mvn(org.jboss:jboss-vfs)
BuildRequires: mvn(org.jboss.activemq.artemis.integration:artemis-wildfly-integration)
BuildRequires: mvn(org.jboss.arquillian:arquillian-bom:pom:)
BuildRequires: mvn(org.jboss.classfilewriter:jboss-classfilewriter)
BuildRequires: mvn(org.jboss.common:jboss-common-beans)
BuildRequires: mvn(org.jboss.ejb3:jboss-ejb3-ext-api)
BuildRequires: mvn(org.jboss.genericjms:generic-jms-ra-jar)
BuildRequires: mvn(org.jboss.invocation:jboss-invocation)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-common-api)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-common-impl)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-common-spi)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-core-api)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-core-impl)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-deployers-common)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-jdbc)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-spec-api)
BuildRequires: mvn(org.jboss.ironjacamar:ironjacamar-validator)
BuildRequires: mvn(org.jboss.jandex:jandex-maven-plugin)
BuildRequires: mvn(org.jboss.logging:jboss-logging)
BuildRequires: mvn(org.jboss.logging:jboss-logging-annotations)
BuildRequires: mvn(org.jboss.logging:jboss-logging-processor)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling)
BuildRequires: mvn(org.jboss.marshalling:jboss-marshalling-river)
BuildRequires: mvn(org.jboss.metadata:jboss-metadata-appclient)
BuildRequires: mvn(org.jboss.metadata:jboss-metadata-common)
BuildRequires: mvn(org.jboss.metadata:jboss-metadata-ear)
BuildRequires: mvn(org.jboss.metadata:jboss-metadata-ejb)
BuildRequires: mvn(org.jboss.metadata:jboss-metadata-web)
BuildRequires: mvn(org.jboss.mod_cluster:mod_cluster-core)
BuildRequires: mvn(org.jboss.modules:jboss-modules)
BuildRequires: mvn(org.jboss.msc:jboss-msc)
BuildRequires: mvn(org.jboss.narayana.compensations:compensations)
BuildRequires: mvn(org.jboss.narayana:jbosstxbridge)
BuildRequires: mvn(org.jboss.narayana.jts:narayana-jts-idlj)
BuildRequires: mvn(org.jboss.narayana.jts:narayana-jts-integration)
BuildRequires: mvn(org.jboss.narayana.rts:restat-api)
BuildRequires: mvn(org.jboss.narayana.rts:restat-bridge)
BuildRequires: mvn(org.jboss.narayana.rts:restat-integration)
BuildRequires: mvn(org.jboss.narayana.rts:restat-util)
BuildRequires: mvn(org.jboss.narayana.txframework:txframework)
BuildRequires: mvn(org.jboss.narayana.xts:jbossxts)
BuildRequires: mvn(org.jboss.narayana.xts:jbossxts::api:)
BuildRequires: mvn(org.jboss.openjdk-orb:openjdk-orb)
BuildRequires: mvn(org.jboss.remoting:jboss-remoting)
BuildRequires: mvn(org.jboss.remotingjmx:remoting-jmx)
BuildRequires: mvn(org.jboss.resteasy:jose-jwt)
BuildRequires: mvn(org.jboss.resteasy:resteasy-client)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jaxrs)
BuildRequires: mvn(org.jboss.resteasy:resteasy-atom-provider)
BuildRequires: mvn(org.jboss.resteasy:resteasy-spring)
BuildRequires: mvn(org.jboss.resteasy:async-http-servlet-3.0)
BuildRequires: mvn(org.jboss.resteasy:resteasy-cdi)
BuildRequires: mvn(org.jboss.resteasy:resteasy-crypto)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jackson-provider)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jackson2-provider)
BuildRequires: mvn(org.jboss.resteasy:resteasy-json-p-provider)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jaxb-provider)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jettison-provider)
BuildRequires: mvn(org.jboss.resteasy:resteasy-jsapi)
BuildRequires: mvn(org.jboss.resteasy:resteasy-multipart-provider)
BuildRequires: mvn(org.jboss.resteasy:resteasy-validator-provider-11)
BuildRequires: mvn(org.jboss.resteasy:resteasy-yaml-provider)
BuildRequires: mvn(org.jboss.sasl:jboss-sasl)
BuildRequires: mvn(org.jboss.security:jbossxacml)
BuildRequires: mvn(org.jboss.security:jboss-negotiation-common)
BuildRequires: mvn(org.jboss.security:jboss-negotiation-extras)
BuildRequires: mvn(org.jboss.security:jboss-negotiation-ntlm)
BuildRequires: mvn(org.jboss.security:jboss-negotiation-spnego)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-bom:pom:)
BuildRequires: mvn(org.jboss.shrinkwrap.descriptors:shrinkwrap-descriptors-bom:pom:)
BuildRequires: mvn(org.jboss.shrinkwrap.resolver:shrinkwrap-resolver-bom:pom:)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-api)
BuildRequires: mvn(org.jboss.shrinkwrap:shrinkwrap-impl-base)
BuildRequires: mvn(org.jboss.spec.javax.annotation:jboss-annotations-api_1.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.batch:jboss-batch-api_1.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.ejb:jboss-ejb-api_3.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.el:jboss-el-api_3.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.enterprise.concurrent:jboss-concurrency-api_1.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.faces:jboss-jsf-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.interceptor:jboss-interceptors-api_1.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.jms:jboss-jms-api_2.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.management.j2ee:jboss-j2eemgmt-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.resource:jboss-connector-api_1.7_spec)
BuildRequires: mvn(org.jboss.spec.javax.rmi:jboss-rmi-api_1.0_spec)
BuildRequires: mvn(org.jboss.spec.javax.security.auth.message:jboss-jaspi-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.security.jacc:jboss-jacc-api_1.5_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet:jboss-servlet-api_3.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jsp:jboss-jsp-api_2.3_spec)
BuildRequires: mvn(org.jboss.spec.javax.servlet.jstl:jboss-jstl-api_1.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.transaction:jboss-transaction-api_1.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.xml.bind:jboss-jaxb-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.xml.rpc:jboss-jaxrpc-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.xml.soap:jboss-saaj-api_1.3_spec)
BuildRequires: mvn(org.jboss.spec.javax.xml.ws:jboss-jaxws-api_2.2_spec)
BuildRequires: mvn(org.jboss.spec.javax.websocket:jboss-websocket-api_1.1_spec)
BuildRequires: mvn(org.jboss.spec.javax.ws.rs:jboss-jaxrs-api_2.0_spec)
BuildRequires: mvn(org.jboss.threads:jboss-threads)
BuildRequires: mvn(org.jboss.weld:weld-api)
BuildRequires: mvn(org.jboss.weld:weld-core-impl) >= 2.3.5
BuildRequires: mvn(org.jboss.weld:weld-core-jsf)
BuildRequires: mvn(org.jboss.weld:weld-spi)
BuildRequires: mvn(org.jboss.weld.probe:weld-probe-core)
BuildRequires: mvn(org.jboss.ws:jbossws-api)
BuildRequires: mvn(org.jboss.ws:jbossws-common)
BuildRequires: mvn(org.jboss.ws:jbossws-common-tools)
BuildRequires: mvn(org.jboss.ws:jbossws-spi)
BuildRequires: mvn(org.jboss.ws.cxf:jbossws-cxf-client) >= 5.1.5
BuildRequires: mvn(org.jboss.ws.cxf:jbossws-cxf-factories)
BuildRequires: mvn(org.jboss.ws.cxf:jbossws-cxf-jaspi)
BuildRequires: mvn(org.jboss.ws.cxf:jbossws-cxf-resources::wildfly1000:)
BuildRequires: mvn(org.jboss.ws.cxf:jbossws-cxf-server)
BuildRequires: mvn(org.jboss.ws.cxf:jbossws-cxf-transports-udp)
BuildRequires: mvn(org.jboss.ws.cxf:jbossws-cxf-transports-undertow)
BuildRequires: mvn(org.jboss.ws.projects:jaxws-undertow-httpspi)
BuildRequires: mvn(org.jboss.xnio:xnio-api) >= 3.4.0
BuildRequires: mvn(org.jboss.xnio:xnio-nio)
BuildRequires: mvn(org.jboss.xnio.netty:netty-xnio-transport)
BuildRequires: mvn(org.jdom:jdom)
BuildRequires: mvn(org.jgroups:jgroups)
%if %{with azure}
BuildRequires: mvn(org.jgroups:jgroups-azure)
%endif
BuildRequires: mvn(org.jsoup:jsoup)
BuildRequires: mvn(org.opensaml:opensaml-core) >= 3.1.1
BuildRequires: mvn(org.opensaml:opensaml-profile-api)
BuildRequires: mvn(org.opensaml:opensaml-saml-api)
BuildRequires: mvn(org.opensaml:opensaml-saml-impl)
BuildRequires: mvn(org.opensaml:opensaml-security-api)
BuildRequires: mvn(org.opensaml:opensaml-security-impl)
BuildRequires: mvn(org.opensaml:opensaml-soap-api)
BuildRequires: mvn(org.opensaml:opensaml-xacml-api)
BuildRequires: mvn(org.opensaml:opensaml-xacml-impl)
BuildRequires: mvn(org.opensaml:opensaml-xacml-saml-api)
BuildRequires: mvn(org.opensaml:opensaml-xacml-saml-impl)
BuildRequires: mvn(org.opensaml:opensaml-xmlsec-api)
BuildRequires: mvn(org.opensaml:opensaml-xmlsec-impl)
BuildRequires: mvn(org.picketbox:picketbox-commons)
BuildRequires: mvn(org.picketbox:picketbox-infinispan)
BuildRequires: mvn(org.picketlink:picketlink-api)
BuildRequires: mvn(org.picketlink:picketlink-bindings-parent:pom:)
BuildRequires: mvn(org.picketlink:picketlink-common)
BuildRequires: mvn(org.picketlink:picketlink-config)
BuildRequires: mvn(org.picketlink:picketlink-impl)
BuildRequires: mvn(org.picketlink:picketlink-federation)
BuildRequires: mvn(org.picketlink:picketlink-idm-api)
BuildRequires: mvn(org.picketlink:picketlink-idm-impl)
BuildRequires: mvn(org.picketlink:picketlink-idm-simple-schema)
BuildRequires: mvn(org.picketlink:picketlink-parent:pom:)
BuildRequires: mvn(org.picketlink.distribution:picketlink-wildfly8)
BuildRequires: mvn(org.scannotation:scannotation)
BuildRequires: mvn(org.slf4j:jcl-over-slf4j)
BuildRequires: mvn(org.slf4j:slf4j-ext)
BuildRequires: mvn(org.wildfly.arquillian:wildfly-arquillian-container-managed)
BuildRequires: mvn(org.wildfly.arquillian:wildfly-arquillian-common)
BuildRequires: mvn(org.wildfly.arquillian:wildfly-arquillian-parent:pom:)
BuildRequires: mvn(org.wildfly.arquillian:wildfly-arquillian-protocol-jmx)
BuildRequires: mvn(org.wildfly.build:wildfly-server-provisioning-maven-plugin)
BuildRequires: mvn(org.wildfly.common:wildfly-common)
BuildRequires: mvn(org.wildfly.core:wildfly-cli) 
BuildRequires: mvn(org.wildfly.core:wildfly-controller)
BuildRequires: mvn(org.wildfly.core:wildfly-core-feature-pack:zip:)
BuildRequires: mvn(org.wildfly.core:wildfly-core-parent:pom:)
BuildRequires: mvn(org.wildfly.core:wildfly-core-security)
BuildRequires: mvn(org.wildfly.core:wildfly-domain-management)
BuildRequires: mvn(org.wildfly.core:wildfly-io)
BuildRequires: mvn(org.wildfly.core:wildfly-jmx)
BuildRequires: mvn(org.wildfly.core:wildfly-launcher)
BuildRequires: mvn(org.wildfly.core:wildfly-network)
BuildRequires: mvn(org.wildfly.core:wildfly-request-controller)
BuildRequires: mvn(org.wildfly.core:wildfly-server)
BuildRequires: mvn(org.wildfly.core:wildfly-threads)
BuildRequires: mvn(org.wildfly.security:wildfly-elytron)
BuildRequires: mvn(org.yaml:snakeyaml)
BuildRequires: mvn(wsdl4j:wsdl4j)
BuildRequires: mvn(xalan:serializer)
BuildRequires: mvn(xalan:xalan)
BuildRequires: mvn(xerces:xercesImpl)
%{?systemd_requires}
BuildRequires: systemd

# Test deps
BuildRequires: mvn(junit:junit)
BuildRequires: mvn(org.codehaus.groovy:groovy-all)
BuildRequires: mvn(org.jboss.byteman:byteman)
BuildRequires: mvn(org.jboss.byteman:byteman-bmunit)
BuildRequires: mvn(org.jboss.byteman:byteman-install)
BuildRequires: mvn(org.jboss.byteman:byteman-submit)
BuildRequires: mvn(org.mockito:mockito-all)
# BuildRequires: mvn(org.wildfly.core:wildfly-subsystem-test:pom:)
# BuildRequires: mvn(org.wildfly.core:wildfly-subsystem-test-framework)


# Required for compiling JSP for example
Requires:         java-devel >= 1:1.7

Requires:         %{name}-lib = %{version}-%{release}

# Missing requires not provided by xmvn
Requires:         mvn(ch.qos.cal10n:cal10n-api)
Requires:         mvn(com.fasterxml.jackson.datatype:jackson-datatype-jdk8)
Requires:         mvn(com.fasterxml.jackson.datatype:jackson-datatype-jsr310)
Requires:         mvn(com.fasterxml.jackson.jaxrs:jackson-jaxrs-json-provider)
Requires:         mvn(com.github.spullara.mustache.java:compiler)
Requires:         mvn(com.h2database:h2)
Requires:         mvn(com.io7m.xom:xom)
Requires:         mvn(com.sun.xml.messaging.saaj:saaj-impl)
Requires:         mvn(io.undertow.js:undertow-js)
Requires:         mvn(org.eclipse.jdt.core.compiler:ecj)
Requires:         mvn(org.glassfish:javax.el-impl)
Requires:         mvn(org.jasypt:jasypt)

Requires(pre):    shadow-utils


%description
WildFly Application Server (formerly known as JBoss Application Server) is the
latest release in a series of WildFly offerings. WildFly Application Server, is
a fast, powerful, implementation of the Java Enterprise Edition 6
specification.  The state-of-the-art architecture built on the Modular Service
Container enables services on-demand when your application requires them.

%package lib
Summary:        WildFly JAR artifacts
BuildArch:      noarch

%description lib
This package contains WildFly JAR artifacts.

%package javadoc
Summary:       Javadoc for %{name}
BuildArch:     noarch

%description javadoc
This package contains javadoc for %{name}.

%package doc
Summary:       Documentation for %{name}
BuildArch:     noarch

%description doc
This package contains the documentation for %{name}.

%prep
%setup -q -n %{name}-%{namedversion}
%patch0 -p1
%pom_remove_dep -r org.jboss.seam.integration:jboss-seam-int-jbossas
%pom_remove_dep -r org.jboss.hal:release-stream
sed -i '/org.jboss.hal\:release-stream/d' \
 feature-pack/src/main/resources/modules/system/layers/base/org/jboss/as/console/main/module.xml
%patch1 -p1
%pom_remove_dep -r javax.activation:activation
sed -i '/javax.activation\:activation/d' \
 servlet-feature-pack/src/main/resources/modules/system/layers/base/javax/activation/api/main/module.xml
%patch2 -p1
%pom_remove_dep -r javax.jws:jsr181-api
sed -i '/javax.jws\:jsr181-api/d' \
 feature-pack/src/main/resources/modules/system/layers/base/javax/jws/api/main/module.xml
%patch3 -p1
%pom_disable_module hibernate4_1 jpa
%pom_remove_dep -r :jipijapa-hibernate4-1
sed -i '/org.wildfly\:jipijapa-hibernate4-1/d' \
 feature-pack/src/main/resources/modules/system/layers/base/org/hibernate/4.1/module.xml
%patch4 -p1
%patch5 -p1

%if %{without azure}
%patch6 -p1
%pom_remove_dep -r com.microsoft.azure:azure-storage
%pom_remove_dep -r org.jgroups:jgroups-azure
sed -i '/com.microsoft.azure\:azure-storage/d' \
 feature-pack/src/main/resources/modules/system/layers/base/com/microsoft/azure/storage/main/module.xml
sed -i '/org.jgroups\:jgroups-azure/d' \
 feature-pack/src/main/resources/modules/system/layers/base/org/jgroups/azure/main/module.xml
%endif

cp -p testsuite/shared/src/main/java/org/jboss/as/test/integration/security/common/LICENSE-2.0.txt .
cp -p servlet-feature-pack/src/main/resources/content/copyright.txt .
cp -p servlet-feature-pack/src/main/resources/content/LICENSE.txt .
cp -p servlet-feature-pack/src/main/resources/content/README.txt .

%pom_remove_plugin -r :zanata-maven-plugin
# org.wildfly.checkstyle:wildfly-checkstyle-config:1.0.4.Final
%pom_remove_plugin -r :maven-checkstyle-plugin
%pom_remove_dep -r :wildfly-checkstyle-config
# com.redhat.victims:enforce-victims-rule:1.3.1
%pom_remove_plugin -r :maven-enforcer-plugin

%pom_disable_module testsuite
%pom_disable_module testsuite/shared
%pom_disable_module test spec-api
%pom_disable_module tests-integration webservices

# Disable bundle of system libraries
%pom_disable_module client/shade
%pom_remove_dep -r :wildfly-client-all
# :wildfly-cli::client:
%pom_remove_dep org.wildfly.core:wildfly-cli feature-pack
sed -i '/org.wildfly\:wildfly-client-all/d' feature-pack/feature-pack-build.xml
sed -i '/org.wildfly.core\:wildfly-cli/d' feature-pack/feature-pack-build.xml

%pom_disable_module multi-jsf-installer jsf

# No myfaces avaialble
rm -rf jsf/injection/src/main/java/org/jboss/as/jsf/injection/MyFaces*
%pom_remove_dep -r org.apache.myfaces.core:myfaces-impl jsf/injection jsf/multi-jsf-installer
%pom_remove_dep org.apache.myfaces.core:myfaces-api jsf/multi-jsf-installer

%pom_xpath_set "pom:properties/pom:version.org.hibernate4_3" 4 jpa/hibernate4_3


%mvn_config buildSettings/compilerSource 1.8

%mvn_package ":wildfly-build:::" __noinstall
%mvn_package ":wildfly-build:zip::" __noinstall
%mvn_package ":wildfly-dist:::" __noinstall
%mvn_package ":wildfly-feature-pack:::" __noinstall
%mvn_package ":wildfly-servlet-build:::" __noinstall
%mvn_package ":wildfly-servlet-build:zip::" __noinstall
%mvn_package ":wildfly-servlet-dist:::" __noinstall
%mvn_package ":wildfly-servlet-feature-pack:::" __noinstall
%mvn_package ":wildfly-servlet-feature-pack:zip::" __noinstall

%build

# We don't have packaged all test dependencies (jboss-test for example)
# multi-jsf-installer profiles: mojarra-2.x; mojarra-1.2; myfaces
%mvn_build -f -- -Dskip-enforce

%install
%mvn_install

install -d -m 755 $RPM_BUILD_ROOT%{_javadir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{_javadocdir}/%{name}
install -d -m 755 $RPM_BUILD_ROOT%{homedir}
install -d -m 755 $RPM_BUILD_ROOT%{confdir}
install -d -m 770 $RPM_BUILD_ROOT%{cachedir}/auth
install -d -m 755 $RPM_BUILD_ROOT%{_mavenpomdir}
install -d -m 755 $RPM_BUILD_ROOT%{_unitdir}
install -d -m 755 $RPM_BUILD_ROOT%{_bindir}
install -d -m 755 $RPM_BUILD_ROOT%{_docdir}/%{name}

for mode in standalone domain; do
  install -d -m 755 $RPM_BUILD_ROOT%{homedir}/${mode}
  install -d -m 775 $RPM_BUILD_ROOT%{libdir}/${mode}/data
  install -d -m 755 $RPM_BUILD_ROOT%{cachedir}/${mode}
  install -d -m 775 $RPM_BUILD_ROOT%{logdir}/${mode}
done

install -d -m 775 $RPM_BUILD_ROOT%{libdir}/domain/servers

pushd dist/target/wildfly-%{namedversion}
# We don't need Windows files
  find bin/ -type f -name "*.bat" -print -delete
  find bin/ -type f -name "*.exe" -print -delete
  rm -r docs/contrib/scripts/service
  rm -r docs/contrib/scripts/init.d

# Install systemd files
  sed -i "s|/opt/wildfly/bin/launch.sh|%{homedir}/bin/launch.sh|" docs/contrib/scripts/systemd/wildfly.service
  install -pm 644 docs/contrib/scripts/systemd/wildfly.service $RPM_BUILD_ROOT%{_unitdir}/wildfly.service
  install -pm 644 docs/contrib/scripts/systemd/wildfly.conf $RPM_BUILD_ROOT%{confdir}/wildfly.conf

# We don't need legacy init scripts
  rm -rf bin/init.d
# TMP - investigate
  rm -rf bin/client

# Prepare directory for properties files
  install -d -m 755 docs/examples/properties

# Copy logging.properties and mgmt-users.properties so we can reuse it later in wildfly-cp script
  cp standalone/configuration/logging.properties docs/examples/properties/
  cp standalone/configuration/mgmt-users.properties docs/examples/properties/
# Lower a bit the permissions, so ordinary user can copy it. It's an example file!
  chmod 644 docs/examples/properties/mgmt-users.properties

# standalone
  mv standalone/configuration $RPM_BUILD_ROOT%{confdir}/standalone
  mv standalone/deployments $RPM_BUILD_ROOT%{libdir}/standalone/deployments
  mv standalone/lib $RPM_BUILD_ROOT%{libdir}/standalone/lib
  mv standalone/tmp $RPM_BUILD_ROOT%{cachedir}/standalone/tmp

# domain
  mv domain/configuration $RPM_BUILD_ROOT%{confdir}/domain
  mv domain/data $RPM_BUILD_ROOT%{cachedir}/domain/data
  mv domain/tmp $RPM_BUILD_ROOT%{cachedir}/domain/tmp

# appclient
  mv appclient/configuration $RPM_BUILD_ROOT%{confdir}/appclient

  mv bin/jboss-cli.xml $RPM_BUILD_ROOT%{confdir}

# docs
# fix the encoding
  for f in $(find docs -name "*.dtd" -o -name "*.xsd"); do
    sed -i 's/\r$//' $f
  done

# bin
  mv bin $RPM_BUILD_ROOT%{homedir}

# Install the launch script
  sed -i "s|/opt/wildfly|%{homedir}|" docs/contrib/scripts/systemd/launch.sh
  install -pm 755 docs/contrib/scripts/systemd/launch.sh $RPM_BUILD_ROOT%{bindir}/launch.sh
  rm docs/contrib/scripts/systemd/launch.sh

  mv docs/* $RPM_BUILD_ROOT%{_docdir}/%{name}

  mv copyright.txt README.txt LICENSE.txt welcome-content docs appclient modules $RPM_BUILD_ROOT%{homedir}

popd

chmod 775 $RPM_BUILD_ROOT%{libdir}/standalone/deployments

pushd $RPM_BUILD_ROOT%{homedir}

# Standalone
  ln -s %{confdir}/standalone standalone/configuration
  ln -s %{libdir}/standalone/deployments standalone/deployments
  ln -s %{libdir}/standalone/data standalone/data
  ln -s %{libdir}/standalone/lib standalone/lib
  ln -s %{logdir}/standalone standalone/log
  ln -s %{cachedir}/standalone/tmp standalone/tmp

# Domain
  ln -s %{confdir}/domain domain/configuration
  ln -s %{libdir}/domain/data domain/data
  ln -s %{libdir}/domain/servers domain/servers
  ln -s %{logdir}/domain domain/log
  ln -s %{cachedir}/domain/tmp domain/tmp

  ln -s %{confdir}/appclient appclient

# Auth dir
  ln -s %{cachedir}/auth auth

  xmvn-subst .

# Still missing symlinks
  ln -s $(build-classpath jboss-modules/jboss-modules) jboss-modules.jar
  
# Remove all jars from modules directory - we need to symlink them
  find . -type f -name "*.jar" -exec rm -rvf {} \;

# Create symlinks to jars
  pushd modules/system/layers/base
#   Definition of submodules
#   If a submodule contains hyphen in the name, just skip it, e.g. domain-http => domainhttp
    multimodules="mod_cluster clustering"
    modules_mod_cluster="web undertow"
    modules_clustering="api ee-infinispan ee-spi ejb-spi common jgroups jgroups-api jgroups-spi infinispan infinispan-spi marshalling-api marshalling-jboss registry server service spi web-api web-spi web-infinispan web-undertow ejb-infinispan"

    for m in %{modules}; do
      ln -s %{_javadir}/%{name}/%{name}-${m}.jar org/jboss/as/${m}/main/%{name}-${m}-%{namedversion}.jar
    done

    for m in %{wildflymodules}; do
      ln -s %{_javadir}/%{name}/%{name}-${m}.jar org/wildfly/${m}/main/%{name}-${m}-%{namedversion}.jar
    done

    for m in ${multimodules}; do
      eval submodules=\$"modules_${m//-/}"

      for sm in $submodules; do
        for p in "org/wildfly/${m}/${sm/-//}/main" "org/jboss/as/${m}/${sm/-//}/main"; do
          if [ -d "${p}" ]; then
            ln -v -s %{_javadir}/%{name}/%{name}-${m}-${sm}.jar ${p}/%{name}-${m}-${sm}-%{namedversion}.jar
          fi
        done
      done
    done

#   WildFly extensions
    for m in batch bean-validation messaging-activemq picketlink rts undertow; do
      if [ -d "org/wildfly/extension/${m}/main/" ]; then
        ln -v -s %{_javadir}/%{name}/%{name}-${m}.jar org/wildfly/extension/${m}/main/%{name}-${m}-%{namedversion}.jar
      fi
    done

#   Special cases of wildfly jars
    ln -s %{_javadir}/%{name}/%{name}-mod_cluster-extension.jar org/wildfly/extension/mod_cluster/main/%{name}-mod_cluster-extension-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/%{name}-security-manager.jar org/wildfly/extension/security/manager/main/%{name}-security-manager-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/%{name}-batch-jberet.jar org/wildfly/extension/batch/jberet/main/%{name}-batch-jberet-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/%{name}-clustering-singleton-api.jar org/wildfly/extension/clustering/singleton/main/%{name}-clustering-singleton-api-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/%{name}-clustering-singleton-extension.jar org/wildfly/extension/clustering/singleton/main/%{name}-clustering-singleton-extension-%{namedversion}.jar

    ln -s %{_javadir}/%{name}/%{name}-clustering-infinispan-extension.jar org/jboss/as/clustering/infinispan/main/%{name}-clustering-infinispan-extension-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/%{name}-clustering-jgroups-extension.jar org/jboss/as/clustering/jgroups/main/%{name}-clustering-jgroups-extension-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/%{name}-webservices-server-integration.jar org/jboss/as/webservices/main/%{name}-webservices-server-integration-%{namedversion}.jar

#   jipijapa
    ln -s %{_javadir}/%{name}/jipijapa-eclipselink.jar org/eclipse/persistence/main/jipijapa-eclipselink-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/jipijapa-hibernate4-3.jar org/hibernate/jipijapa-hibernate4-3/main/jipijapa-hibernate4-3-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/jipijapa-hibernate5.jar org/hibernate/jipijapa-hibernate5/main/jipijapa-hibernate5-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/jipijapa-openjpa.jar org/apache/openjpa/main/jipijapa-openjpa-%{namedversion}.jar
    ln -s %{_javadir}/%{name}/jipijapa-spi.jar org/jboss/as/jpa/spi/main/jipijapa-spi-%{namedversion}.jar


#   Remove native libs that are shipped with the source distribution...
    rm -rf org/apache/activemq/artemis/main/lib/*

#   Prepare directories for native libs
    install -d -m 755 org/apache/activemq/artemis/main/lib/linux-{x86_64,i686,arm,arm64}

#   Jandex index for cxf-rt-ws-security
    ln -s $(build-classpath cxf/cxf-rt-security-jandex) org/apache/cxf/impl/main/cxf-rt-security-jandex.jar
    ln -s $(build-classpath cxf/cxf-rt-ws-security-jandex) org/apache/cxf/ws-security/main/cxf-rt-ws-security-jandex.jar

#   Jandex indexes for resteasy
    for m in atom-provider crypto cdi jackson-provider jackson2-provider jaxb-provider jaxrs jettison-provider jsapi json-p-provider multipart-provider yaml-provider validator-provider-11; do
      ln -s $(build-classpath resteasy/resteasy-${m}-jandex) org/jboss/resteasy/resteasy-${m}/main/resteasy-${m}-jandex.jar
    done

#   RestEasy Spring integration special case
    install -d -m 755 org/jboss/resteasy/resteasy-spring/main/bundled/
    ln -s %{_javadir}/resteasy/resteasy-spring.jar org/jboss/resteasy/resteasy-spring/main/bundled/resteasy-spring.jar

#   Not caught by xmvn-subst
    ln -s $(build-classpath ecj) org/eclipse/jdt/ecj/main/ecj.jar
    ln -s $(build-classpath xml-commons-apis) org/apache/xerces/main/xml-commons-apis.jar
    ln -s $(build-classpath jbossws-cxf/jbossws-cxf-resources) org/jboss/as/webservices/main/jbossws-cxf-resources.jar
# Sometimes xmvn-subst fails "No artifact definition found"
    ln -sf $(build-classpath h2) com/h2database/h2/main/h2.jar
    ln -sf $(build-classpath glassfish-jaxb/txw2) com/sun/xml/bind/main/txw2.jar
    ln -sf $(build-classpath istack-commons/istack-commons-runtime) com/sun/xml/bind/main/istack-commons-runtime.jar

#   Incorrect symlinks made by xmvn
#   https://bugzilla.redhat.com/show_bug.cgi?id=1007687
    ln -sf $(build-classpath narayana/narayana-jts-jacorb) org/jboss/jts/main/narayana-jts-jacorb.jar
  popd

#  # Makes sure we replaced all jars and no jar files are left
  missed_jars=`find -type f -name "*.jar"`
  if [ -n "$missed_jars" ]; then
    echo "Not all jars were replaced, failing the build!"
    echo $missed_jars
    exit 1
  fi
popd

pushd $RPM_BUILD_ROOT%{bindir}
  ln -sf %{_javadir}/%{name}-core/%{name}-launcher.jar launcher.jar
popd

pushd $RPM_BUILD_ROOT%{_bindir}
# jboss-cli
  ln -s %{bindir}/jboss-cli.sh jboss-cli

  install -m 755 %{SOURCE1} %{name}-cp
popd

# Install tmpfiles for legacy configurations.
install -pDm644 %{S:11} %{buildroot}%{_tmpfilesdir}/%{name}.conf

%pre
# Add wildfly user and group
getent group %{name} >/dev/null || groupadd -f -g %{wfuid} -r %{name}
if ! getent passwd %{name} >/dev/null ; then
  if ! getent passwd %{wfuid} >/dev/null ; then
    useradd -r -u %{wfuid} -g %{name} -d %{homedir} -s /sbin/nologin -c "The WildFly Application Server user" %{name}
  else
    useradd -r -g %{name} -d %{homedir} -s /sbin/nologin -c "The WildFly Application Server user" %{name}
  fi
fi
exit 0

%post
%_tmpfilescreate %{name}
%_post_service %{name}.service


# WildFly relies on some arch specific binary modules, let's link them.
# We don't want to do this at build time because it should be still noarch package.
arch=`uname -m`

if [ "${arch}" = "x86_64" ]; then
  native_arch="64"
  libdir="/usr/lib${native_arch}"
  validarch="x86_64"
else
  native_arch="32"
  libdir="/usr/lib"
  validarch="i686"
fi

if [[ $arch == arm* ]]; then
  native_arch="32"
  libdir="/usr/lib"
  validarch="arm"
fi
# ?
if [[ $arch == aarch64 ]]; then
  native_arch="64"
  libdir="/usr/lib${native_arch}"
  validarch="arm64"
fi

pushd %{homedir}/modules/system/layers/base/org/apache/activemq/artemis/main/lib/linux-${validarch} > /dev/null
  ln -sf ${libdir}/artemis/libartemis-native.so libartemis-native-${native_arch}.so
popd > /dev/null

%preun
%_preun_service %{name}.service

# Let's clean up the arch-specific symlinks
for l in $(find %{homedir}/modules/system/layers/base/org/apache/activemq/artemis/main/lib -name "*.so"); do
  [ -L ${l} ] && rm -f ${l}
done

%postun
%_postun_service %{name}.service


%files
%{homedir}/appclient
%{_tmpfilesdir}/%{name}.conf
%dir %{bindir}
%{bindir}/*.conf
%{bindir}/launcher.jar
%{bindir}/*.properties
%{bindir}/*.ps1
%{bindir}/*.sh
%{bindir}/.jbossclirc
%{_bindir}/*
%dir %{homedir}
%{homedir}/auth
%{homedir}/domain
%{homedir}/standalone
%{homedir}/modules
%{homedir}/welcome-content
%{homedir}/jboss-modules.jar
%attr(-,root,wildfly) %dir %{libdir}
%attr(-,root,wildfly) %{libdir}/standalone
%attr(-,root,wildfly) %{libdir}/domain
%attr(0775,root,wildfly) %dir %{cachedir}
%attr(0775,root,wildfly) %dir %{cachedir}/standalone
%attr(0775,root,wildfly) %dir %{cachedir}/standalone/tmp
%attr(0775,root,wildfly) %dir %{cachedir}/domain
%attr(0775,root,wildfly) %dir %{cachedir}/domain/tmp
%attr(0770,root,wildfly) %dir %{logdir}
%attr(0770,root,wildfly) %dir %{logdir}/standalone
%attr(0770,root,wildfly) %dir %{logdir}/domain
%attr(0775,root,wildfly) %dir %{confdir}
%attr(0775,root,wildfly) %dir %{confdir}/appclient
%attr(0775,root,wildfly) %dir %{confdir}/standalone
%attr(0775,root,wildfly) %dir %{confdir}/domain
%attr(0700,wildfly,wildfly) %dir %{cachedir}/auth
%attr(0600,wildfly,wildfly) %config(noreplace) %{confdir}/appclient/*.properties
%attr(0664,wildfly,wildfly) %config(noreplace) %{confdir}/appclient/*.xml
%attr(0600,wildfly,wildfly) %config(noreplace) %{confdir}/standalone/*.properties
%attr(0664,wildfly,wildfly) %config(noreplace) %{confdir}/standalone/*.xml
%attr(0600,wildfly,wildfly) %config(noreplace) %{confdir}/domain/*.properties
%attr(0664,wildfly,wildfly) %config(noreplace) %{confdir}/domain/*.xml
%config(noreplace) %{confdir}/%{name}.conf
%config(noreplace) %{confdir}/jboss-cli.xml
%{_unitdir}/%{name}.service
%doc %{homedir}/README.txt
%license %{homedir}/copyright.txt 
%license %{homedir}/LICENSE.txt
%license LICENSE-2.0.txt

%files lib -f .mfiles
%doc README.md
%license copyright.txt LICENSE.txt LICENSE-2.0.txt

%files javadoc -f .mfiles-javadoc
%license copyright.txt LICENSE.txt LICENSE-2.0.txt

%files doc
%{_docdir}/%{name}
%license copyright.txt LICENSE.txt LICENSE-2.0.txt




%changelog
* Sun May 21 2017 neoclust <neoclust> 10.1.0-7.mga6
+ Revision: 1104007
- New version 10.1.0

  + dmorgan <dmorgan>
    - Sync with fc21
    - imported package wildfly


* Tue Nov 12 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.14.Beta1
- Hibernate 4.3 support added
- Hibernate 4.1 support dropped

* Wed Oct 30 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.13.Beta1
- Removed jline BR, RHBZ#1023006

* Mon Oct 07 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.12.Beta1
- Upstream release 8.0.0.Beta1
- wildfly: Upgrade to 8.0.0.Beta1, RHBZ#1016622

* Thu Oct 03 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.11.Alpha4
- Rebased patches
- Added some missing R/BR ater xmvn update
- Added jsf-injection module

* Thu Sep 19 2013 Michal Srb <msrb@redhat.com> - 8.0.0-0.10.Alpha4
- Fix jboss-modules symlink (Resolves: rhbz#1009769)

* Tue Sep 17 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.9.Alpha4
- wildfly: incorrect symlink, RHBZ#1007687
- Missing .jar files in the org.jboss.jts module, RHBZ#1008605
- Missing javax.activation.api module, RHBZ#1008612
- Missing javax.enterprise.concurrent.api module, RHBZ#1008614
- Broken link to jandex.jar in modules directory, RHBZ#1008578

* Mon Sep 16 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.8.Alpha4
- Upstream release 8.0.0.Alpha4
- Updated Obsoletes
- Removed the standalone-web.xml config, since we are now able to run the default standalone.xml

* Wed Sep 11 2013 Michal Srb <msrb@redhat.com> - 8.0.0-0.7.Alpha3
- Fix a typo in systemd service file (Resolves: rhbz#1006666)

* Mon Sep 09 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.6.Alpha3
- Fixed licensing
- Fixed directory ownership

* Wed Sep 04 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.5.Alpha3
- Removed jbossweb-native BR
- Added a check if all jars were replaced by symlinks
- Fixed EOL in the docs

* Wed Aug 14 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.4.Alpha3
- Use the wildfly user instead of jboss-as
- Created doc subpackage
- Fixed the way we remove the arch specific symlinks while uninstalling the package
- Fixed some config file locations

* Tue Aug 13 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.3.Alpha3
- Using xmvn-subst instead of manual symlinks where possible

* Fri Aug 09 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.2.Alpha3
- Added provides and obsoletes for jboss-as
- Fixed requires
- Fixed symlinks
- Cleaned up the spec file

* Thu Aug 08 2013 Marek Goldmann <mgoldman@redhat.com> - 8.0.0-0.1.Alpha3
- Package rename to wildfly
- Upstream release 8.0.0.Alpha3
- New guidelines (xmvn)

* Thu May 23 2013 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-19
- Fix the jar symlinks
- Make it possible to launch the domain mode using systemd service
- Cleanup

* Wed May 22 2013 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-18
- Fixed BR/R
- Preparations for domain mode enablement

* Sat Mar 23 2013 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-17
- Fixed apache-scout jar name

* Tue Feb 19 2013 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-16
- Remove wagon extension

* Thu Feb 14 2013 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.1-15
- Rebuilt for https://fedoraproject.org/wiki/Fedora_19_Mass_Rebuild

* Wed Feb 06 2013 Java SIG <java-devel@lists.fedoraproject.org> - 7.1.1-14
- Update for https://fedoraproject.org/wiki/Fedora_19_Maven_Rebuild
- Replace maven BuildRequires with maven-local

* Tue Dec 04 2012 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-13
- Rebasing patches

* Wed Nov 28 2012 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-12
- Fixing many missing symlinks
- Make standalone.xml the default configuration instead standalone-web.xml
- Add an easy way to override the default bind address for systemd service

* Tue Nov 20 2012 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-11
- Add webservices support based on CXF 2.6.3
- The jackson modules don't have symlinks to .jar files, RHBZ#879008
- The jettison modules doesn't have symlinks to .jar, RHBZ#879009
- The mime4j module doesn't have symlinks to .jar files, RHBZ#879014
- The snakeyaml modules doesn't have symlinks to .jar, RHBZ#879017
- The com.sun.xml.bind needs to include the istack-commons-runtime.jar file, RHBZ#879020

* Tue Nov 06 2012 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-10
- Added Hibernate 4 (default persistence provider) support
- Preparations for webservice-related modules from CXF
- Use static GID, RHBZ#873897

* Tue Sep 18 2012 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-9
- Introduce new systemd-rpm macros in jboss-as spec file, RHBZ#856680
- Added org.jboss.as.xts module

* Thu Aug 30 2012 Marek Goldmann <mgoldman@redhat.com> - 7.1.1-8
- Added org.jboss.as.jpa.jacorb module

* Thu Aug 23 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.1-7
- Added org.jboss.as.jpa.openjpa module
- Added org.jboss.as.jpa.hibernate3 module
- Added jtype dependency to hibernate-validator to fix NoClassDefFoundError exception
- Regenerated patches with git format-patch --no-numbered --no-signature
- Added ExampleDS to the standalone-web.xml config

* Wed Aug 01 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.1-6
- /usr/bin conflict between jboss-as-7.1.1-4 and filesystem-3.1-1, RHBZ#839419
- Missing symlinks RHBZ#842997, RHBZ#842996
- Fixed BR
- Fixed empty version requirement for org.eclipse.jdt:core

* Thu Jul 19 2012 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 7.1.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_18_Mass_Rebuild

* Wed Jul 04 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.1-4
- jboss-as-cp script is missing argument placeholder for c optarg, RHBZ#827571
- Create a startup script when creating a new user instance (jboss-as-cp), RHBZ#827588
- The user instance create script (jboss-as-cp) should allow a port offset to be specified, RHBZ#827589
- Added org.jboss.as.modcluster module
- Added org.jboss.as.jsr77 module
- Added org.jboss.as.arquillian module
- Added org.jboss.as.osgi module
- Added org.jboss.as.configadmin module
- Added org.jboss.as.spec-api module
- Add ExampleDS based on H2 database, RHBZ#81252

* Fri May 11 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.1-3
- Changed the way we apply patches at build time
- Added org.jboss.as.sar module
- Added org.jboss.as.host-controller module
- Added org.jboss.as.jaxr module
- Added org.jboss.as.messaging module

* Wed May 02 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.1-2
- Link to native  modules in post section to avoid arch-specific Requires

* Fri Apr 20 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.1-1
- Upstream release 7.1.1.Final
- Added jboss-as-cmp module
- Added jboss-as-mail module
- Added jboss-as-jaxrs module
- Added jboss-as-pojo module
- Spec file cleanup from versions

* Mon Apr 16 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.0-3
- Simplified systemd files
- Added jboss-as-cli module
- Make it possible to run as different user in different direcotry by changing JBOSS_BASE_DIR
- Fixed issues with using add-user.sh script
- Changed validation API jar to bean-validation
- Added jboss-as-cp script to be able to use JBoss AS from different dir as different user
- Removed activation AS7 module - it's already in JDK
- Make it possible to add a user also when JBoss AS is run from different directory

* Wed Apr 04 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.0-2
- Fixed rpmlint issues
- Fixed license
- Added LICENSE.txt file to javadoc subpackage
- Use standalone-web.xml config from docs as default

* Mon Apr 02 2012 Marek Goldmann <mgoldman@redhat.com> 7.1.0-1
- Initial packaging

